<?php
header('Content-Type: application/json; charset=utf-8');

require_once __DIR__ . '/../helperji/helper_oglasi.php';

$filePath = __DIR__ . '/../helperji/66cd8e3f99166a1c0b00542e.json';
$helper   = new HelperOglasi($filePath);

$offset = isset($_GET['offset']) ? (int)$_GET['offset'] : 0;
$limit  = isset($_GET['limit'])  ? (int)$_GET['limit']  : 24;

$znamka = $_GET['znamka'] ?? null;
$minCena = isset($_GET['minCena']) ? (int)$_GET['minCena'] : 0;
$maxCena = isset($_GET['maxCena']) ? (int)$_GET['maxCena'] : 1000000;

$vozilaChunk = $helper->getVozilaByOffsetLimit($offset, $limit, $znamka, $minCena, $maxCena);

$results = [];
foreach ($vozilaChunk as $idOglasa => $oglasData) {
    $results[] = [
        'id'             => $idOglasa,
        'osnovniPodatki' => $oglasData['osnovniPodatki'] ?? [],
        'ostaliPodatki'  => $oglasData['ostaliPodatki']  ?? [],
    ];
}

echo json_encode([
    'status'    => 'OK',
    'offset'    => $offset,
    'limit'     => $limit,
    'count'     => count($vozilaChunk),
    'results'   => $results,
    'totalCount'=> count($helper->getVsaVozila(null, true))
]);
exit;

