<?php
// Nastavi header za JSON odziv
header('Content-Type: application/json');

// Preberemo id oglasa iz GET parametra
$idOglasa = $_GET['id'] ?? '';
$index = 0; // Vedno 0, ker želimo naslovno sliko

// Če ni id-ja, vrni napako
if (empty($idOglasa)) {
    echo json_encode(["error" => "Manjka ID oglasa"]);
    exit;
}

// API ključ za avtorizacijo
$apiKey = '69a007373f7f1c914554c5e60541e413';
$apiUrl = "https://avtovizija.net/api/vozilo/getPhotoByIndex?idOglasa=" . urlencode($idOglasa) . "&index=$index";

try {
    // Ustvari cURL sejo
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $apiUrl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        "x-api-key: $apiKey"
    ]);
    $response = curl_exec($ch);
    $error = curl_error($ch);
    curl_close($ch);

    // Preveri napake cURL
    if ($response === false) {
        throw new Exception("Napaka pri doseganju API-ja: $error");
    }

    // Dekodiraj JSON odgovor
    $data = json_decode($response, true);
    if ($data === null) {
        echo json_encode(["slika" => null]);
        exit;
    }

    // Vrni prejeto JSON vsebino naprej
    echo json_encode($data);
} catch (Exception $e) {
    // Ujemi izjeme in vrni napako
    echo json_encode(["error" => "Napaka pri pridobivanju slike", "message" => $e->getMessage()]);
    exit;
}
