﻿<?php
// Enable error reporting
ini_set('display_errors', 1);
error_reporting(E_ALL);


header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

$voziloId = isset($_GET['vozilo']) ? $_GET['vozilo'] : '';
require_once __DIR__ . "/helperji/helper_oglasi.php";
$filePath = __DIR__ . '/helperji/66cd8e3f99166a1c0b00542e.json';
$helper = new HelperOglasi($filePath);
$vozilo = $helper->getVozilo($voziloId);
if ($vozilo) {
    $slikeVozila = $helper->getPridobiSlikePodpisaneURL($voziloId);
    $slikeJson = json_encode($slikeVozila);
    $znamka = isset($vozilo['osnovniPodatki']['znamka']) ? $vozilo['osnovniPodatki']['znamka'] : "";
    $model = isset($vozilo['osnovniPodatki']['model']) ? $vozilo['osnovniPodatki']['model'] : "";
    $cena = isset($vozilo['osnovniPodatki']['cena']) ? $vozilo['osnovniPodatki']['cena'] : "";
    $ostaliPodatki = isset($vozilo['ostaliPodatki']) ? $vozilo['ostaliPodatki'] : [];
    $opomba = isset($vozilo['opomba']) ? $vozilo['opomba'] : '';
    $opremaInOstalo = isset($vozilo['opremaInOstalo']) ? $vozilo['opremaInOstalo'] : [];
    $kategorijeOpreme = array_keys($opremaInOstalo);


    $totalItems = array_sum(array_map('count', $opremaInOstalo));
    $itemsPerColumn = ceil($totalItems / 3);
    $stolpci = array_chunk($opremaInOstalo, $itemsPerColumn, true);
    $pageTitle = $znamka . " " . $model . " :: SAMPEL AVTO";

// Omejitev opombe na 50 znakov in dodajanje "Preberi več"

    /*
    if (mb_strlen($opomba) > 200) {
        $opomba = mb_substr($opomba, 0, 200) . '... <a href="URL_NA_STRAN">Preberi več</a>';
    } else {
        $opomba .= ' <a href="URL_NA_STRAN">Preberi več</a>';
    }
*/

    // Ostali podatki vozila so na voljo tudi
}
?>



<!DOCTYPE html>
<html lang="en">
<?php
$pageTitle = "PODROBNOSTI VOZILA - EVRO AVTO";
$pageDescription = "Podrobnosti vozila";
$pageCanonical = 'http://www.evroavto.si';
$pageKeywords = 'opis vozila, karakteristike';
$pageAuthor = "IMPROVISO, Denis Zupanc s.p.";
?>

<head>
<meta charset="utf-8">
<title><?php echo $pageTitle?></title>
<!-- Stylesheets -->
<link href="css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="css/slick-theme.css">
<link rel="stylesheet" type="text/css" href="css/slick.css">
<link href="css/mmenu.css" rel="stylesheet">
<link href="css/style.css" rel="stylesheet">

<link rel="shortcut icon" href="images/favicon.png" type="image/x-icon">
<link rel="icon" href="images/favicon.png" type="image/x-icon">
<!-- Responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
<!--[if lt IE 9]><script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.js"></script><![endif]-->
<!--[if lt IE 9]><script src="js/respond.js"></script><![endif]-->






    <link href="css/custom.css" rel="stylesheet">
    <link href="css/menu-responsive.css" rel="stylesheet">






</head>

<body>

<div class="boxcar-wrapper">
    <!-- Main Header-->


    <?php
    $activeTab = "izracun";
    include 'header-1.php';
    ?>

    <!-- End header-section -->

    <!-- inventory-section -->
    <section class="inventory-section v1 pb-0 layout-radius">
        <div class="boxcar-container">
            <div class="boxcar-title-three">

                <h2><?php echo $znamka . ' ' . $model; ?></h2>



            </div>
            <div class="row">
                <div class="inspection-column v2 col-xl-8 col-lg-12 col-md-12 col-sm-12">
                    <div class="inner-column">
                        <div class="gallery-sec">

                            <div class="image-column wrap-gallery-box">
                                <div class="inner-column inventry-slider-two">
                                    <?php foreach ($slikeVozila as $slika): ?>
                                        <div class="image-box">
                                            <figure class="image">
                                                <a href="<?php echo isset($slika['url']) ? htmlspecialchars($slika['url']) : '#'; ?>" data-fancybox="gallery">
                                                    <img src="<?php echo isset($slika['url']) ? htmlspecialchars($slika['url']) : ''; ?>" alt="<?php echo isset($slika['filename']) ? htmlspecialchars($slika['filename']) : ''; ?>" loading="lazy">
                                                </a>
                                            </figure>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                                <div class="content-box">
                                    <ul class="video-list">
                                        <li>
                                            <?php if (!empty($slikeVozila)): ?>
                                                <a href="<?php echo htmlspecialchars($slikeVozila[0]['url']); ?>" data-fancybox="gallery">
                                                    <img src="images/resource/video1-4.svg">Vse slike
                                                </a>
                                            <?php else: ?>
                                                <span>Ni slik za prikaz</span>
                                            <?php endif; ?>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                        </div>
                        <!-- description-sec -->
                        <div class="description-sec v2">
                            <h4 class="title">OPREMA</h4>

                            <div class="row">
                                <div class="col-lg-12">

                                    <div class="box-accordion">
                                        <div class="accordion accordion-flush" id="accordionFlushExample">
                                            <?php foreach ($kategorijeOpreme as $index => $kategorija): ?>
                                                <?php
                                                $kat = rtrim($kategorija, ":");
                                                $accordionID = "flush-collapse-" . strtolower(str_replace(" ", "-", $kat));
                                                $elementi = $opremaInOstalo[$kategorija] ?? [];
                                                ?>
                                                <div class="accordion-item">
                                                    <div class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#<?php echo $accordionID; ?>" aria-expanded="false" aria-controls="<?php echo $accordionID; ?>">
                                                        <?php echo htmlspecialchars($kat); ?>



                                                        <span class="icon">
                        <svg class="minus" width="16" height="2" viewBox="0 0 16 2" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <rect width="16" height="2" fill="#222222"/>
                        </svg>
                        <svg class="plus" width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M0 7H16V9H0V7Z" fill="#222222"/>
                            <path d="M7 16L7 8.74224e-08L9 0L9 16H7Z" fill="#222222"/>
                        </svg>
                    </span>
                                                    </div>
                                                    <div id="<?php echo $accordionID; ?>" class="accordion-collapse collapse" aria-labelledby="flush-heading-<?php echo $index; ?>" data-bs-parent="#accordionFlushExample">
                                                        <div class="accordion-body">
                                                            <?php if (count($elementi) > 0): ?>
                                                            <div class="box-listview">
                                                                <ul>
                                                                    <?php foreach ($elementi as $element): ?>
                                                                        <?php
                                                                        $cleanElement = ltrim($element, "- ");
                                                                        ?>


                                                                        <li class="listview-item">
                                                                            <span class="icon-check"><svg width="8" height="6" viewBox="0 0 8 6" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                                                <path d="M7.45982 1.66964C7.45982 1.55804 7.41518 1.44643 7.33482 1.36607L6.72768 0.758928C6.64732 0.678571 6.53571 0.633928 6.42411 0.633928C6.3125 0.633928 6.20089 0.678571 6.12054 0.758928L3.19196 3.69196L1.87946 2.375C1.79911 2.29464 1.6875 2.25 1.57589 2.25C1.46429 2.25 1.35268 2.29464 1.27232 2.375L0.665179 2.98214C0.584821 3.0625 0.540179 3.17411 0.540179 3.28571C0.540179 3.39732 0.584821 3.50893 0.665179 3.58929L2.28125 5.20536L2.88839 5.8125C2.96875 5.89286 3.08036 5.9375 3.19196 5.9375C3.30357 5.9375 3.41518 5.89286 3.49554 5.8125L4.10268 5.20536L7.33482 1.97321C7.41518 1.89286 7.45982 1.78125 7.45982 1.66964Z" fill="#405FF2"/>
                                                                                </svg>
                                                                            </span>
                                                                            <?php echo htmlspecialchars($cleanElement); ?>
                                                                        </li>



                                                                    <?php endforeach; ?>
                                                                </ul>
                                                            </div>
                                                            <?php else: ?>
                                                                <p>Ni podatkov za to kategorijo.</p>
                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endforeach; ?>
                                        </div>
                                    </div>


                                </div>

                                <div class="col-lg-12">
                                    <ul id="opremaList" class="feature-list">
                                        <!-- Seznam elementov bo prikazan tukaj -->
                                    </ul>
                                </div>
                            </div>


                        </div>
                        <!-- features-sec -->
                        <div class="features-sec v2">



                            <h4 class="title">OPOMBE</h4>
                            <div class="text two">
                                <?php echo $opomba ?>
                            </div>


                        </div>
                        <!-- faq-section -->

                        <!-- End faqs-section -->
                        <div class="location-box v2">
                            <h4 class="title">LOKACIJA</h4>




                            <div class="text">
                                EVROAVTO PTUJ d.o.o. <br>
                                Mariborska cesta 43, 2250 Ptuj<br>
                                Matična številka: 2304627000<br>
                                Davčna številka: SI96020946<br>
                                TRR: SI56 3300 0001 0395 578<br>
                                info@evroavto.si<br>

                            </div>
                            <a href="#" class="brand-btn">Navodila za pot<svg xmlns="http://www.w3.org/2000/svg" width="15" height="14" viewbox="0 0 15 14" fill="none">
                                <g clip-path="url(#clip0_881_14440)">
                                  <path d="M14.1111 0H5.55558C5.34062 0 5.16668 0.173943 5.16668 0.388901C5.16668 0.603859 5.34062 0.777802 5.55558 0.777802H13.1723L0.613941 13.3362C0.46202 13.4881 0.46202 13.7342 0.613941 13.8861C0.689884 13.962 0.789415 14 0.88891 14C0.988405 14 1.0879 13.962 1.16388 13.8861L13.7222 1.3277V8.94447C13.7222 9.15943 13.8962 9.33337 14.1111 9.33337C14.3261 9.33337 14.5 9.15943 14.5 8.94447V0.388901C14.5 0.173943 14.3261 0 14.1111 0Z" fill="#405FF2"></path>
                                </g>
                                <defs>
                                  <clippath id="clip0_881_14440">
                                    <rect width="14" height="14" fill="white" transform="translate(0.5)"></rect>
                                  </clippath>
                                </defs>
                              </svg>
                            </a>
                            <div class="goole-iframe">
                                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2750.640443880776!2d15.853748876557415!3d46.41618416941949!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x476f615288420b11%3A0x3c539340226c8bcb!2sEVROAVTO%20PTUJ%20d.o.o.!5e0!3m2!1ssl!2ssi!4v1742245668904!5m2!1ssl!2ssi" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>

                                <!--
                                <iframe src="https://maps.google.com/maps?width=100%25&height=600&hl=en&q=1%20Grafton%20Street,%20Dublin,%20Ireland+(My%20Business%20Name)&t=&z=14&ie=UTF8&iwloc=B&output=embed">
                                </iframe>
                                -->
                            </div>
                        </div>



                    </div>
                </div>
                <div class="side-bar-column v2 v3 v4 col-xl-4  col-lg-12 col-md-12 col-sm-12">
                    <div class="inner-column">
                        <div class="contact-box-two v2">
                            <span>Cena vozila</span>


                            <h3 class="title">
                                <?php if (!empty($vozilo['osnovniPodatki']['staraCena'])): ?>
                                    <del class="old-price has-strong-blue-color"><?php echo htmlspecialchars($vozilo['osnovniPodatki']['staraCena']); ?> €</del>
                                    <span class="new-price has-strong-blue-color"><?php echo htmlspecialchars($vozilo['osnovniPodatki']['akcijskaCena']); ?> €</span>
                                <?php elseif (!empty($vozilo['osnovniPodatki']['cena'])): ?>
                                    <span class="normal-price has-strong-blue-color">
                <?php
                if ($vozilo['osnovniPodatki']['cena'] === "Pokličite za ceno!") {
                    echo htmlspecialchars($vozilo['osnovniPodatki']['cena']);
                } else {
                    echo htmlspecialchars($vozilo['osnovniPodatki']['cena']) . ' €';
                }
                ?>
                                </span>
                                <?php endif; ?>
                            </h3>





                        </div>
                         <!-- overview-sec -->
                         <div class="overview-box">
                            <h4 class="title">OSNOVNI PODATKI</h4>
                            <ul class="list v2">
                                <!--
                                <li><span><img src="images/resource/insep1-1.svg">Body</span>SUV</li>
                                <li><span><img src="images/resource/insep1-2.svg">Mileage</span>28.000 miles</li>
                                <li><span><img src="images/resource/insep1-3.svg">Fuel Type</span>Petrol</li>
                                <li><span><img src="images/resource/insep1-4.svg">Year</span>2023</li>
                                <li><span><img src="images/resource/insep1-5.svg">Transmission</span>Automatics</li>
                                <li><span><img src="images/resource/insep1-6.svg">Drive Type</span>Front Wheel Drive</li>
                                <li><span><img src="images/resource/insep1-7.svg">Condition</span>Used</li>
                                <li><span><img src="images/resource/insep1-8.svg">Engine Size</span>4.8L</li>
                                <li><span><img src="images/resource/insep1-9.svg">Doors</span>5-door</li>
                                <li><span><img src="images/resource/insep1-10.svg">Cylinders</span>6</li>
                                <li><span><img src="images/resource/insep1-11.svg">Color</span>Blue</li>
                                <li><span><img src="images/resource/insep1-12.svg">VIN</span>ZN682AVA2P7429564</li>

                                -->

                                <?php foreach ($ostaliPodatki as $naslov => $vrednost): ?>
                                    <?php if ($naslov !== "Zgodovina vozila"): ?>
                                        <li>
                                            <span><?php echo htmlspecialchars($naslov); ?></span>
                                            <?php echo htmlspecialchars($vrednost); ?>
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; ?>


                            </ul>
                        </div>










                        <div class="contact-box">
                            <div class="icon-box">
                                <img src="images/logo.png" class="mobile-logo" alt="Logo">
                            </div>
                            <div class="content-box">
                                <h6 class="title">EVROAVTO PTUJ d.o.o.</h6>
                                <div class="text">
                                    Mariborska cesta 43, 2250 Ptuj
                                    <br>
                                    <a href="mailto:info@evroavto.si">
                                        info@evroavto.si
                                    </a>
                                </div>

                                <br>

                                DAMJAN<br>
                                <ul class="contact-list">

                                    <li>
                                        <a href="tel:+38641470202">
                                            <div class="image-box">
                                                <img src="images/resource/phone1-2.svg">
                                            </div>
                                            041 470 202
                                        </a>
                                    </li>


                                </ul>

                                DAVID<br>
                                <ul class="contact-list">

                                    <li>
                                        <a href="tel:+38631555491">
                                            <div class="image-box">
                                                <img src="images/resource/phone1-2.svg">
                                            </div>
                                            031 555 491
                                        </a>
                                    </li>



                                </ul>

                                <div class="btn-box">
                                    <a href=mailto:info@evroavto.si" class="side-btn">Pošlji e-pošto<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewbox="0 0 14 14" fill="none">
                                        <g clip-path="url(#clip0_881_7563)">
                                        <path d="M13.6111 0H5.05558C4.84062 0 4.66668 0.173943 4.66668 0.388901C4.66668 0.603859 4.84062 0.777802 5.05558 0.777802H12.6723L0.113941 13.3362C-0.0379805 13.4881 -0.0379805 13.7342 0.113941 13.8861C0.189884 13.962 0.289415 14 0.38891 14C0.488405 14 0.5879 13.962 0.663879 13.8861L13.2222 1.3277V8.94447C13.2222 9.15943 13.3962 9.33337 13.6111 9.33337C13.8261 9.33337 14 9.15943 14 8.94447V0.388901C14 0.173943 13.8261 0 13.6111 0Z" fill="white"></path>
                                        </g>
                                        <defs>
                                        <clippath id="clip0_881_7563">
                                            <rect width="14" height="14" fill="white"></rect>
                                        </clippath>
                                        </defs>
                                    </svg>
                                    </a>

                                    <a href="index.php#" class="side-btn-three">Vsa zaloga<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewbox="0 0 14 14" fill="none">
                                        <g clip-path="url(#clip0_881_10193)">
                                        <path d="M13.6111 0H5.05558C4.84062 0 4.66668 0.173943 4.66668 0.388901C4.66668 0.603859 4.84062 0.777802 5.05558 0.777802H12.6723L0.113941 13.3362C-0.0379805 13.4881 -0.0379805 13.7342 0.113941 13.8861C0.189884 13.962 0.289415 14 0.38891 14C0.488405 14 0.5879 13.962 0.663879 13.8861L13.2222 1.3277V8.94447C13.2222 9.15943 13.3962 9.33337 13.6111 9.33337C13.8261 9.33337 14 9.15943 14 8.94447V0.388901C14 0.173943 13.8261 0 13.6111 0Z" fill="#050B20"></path>
                                        </g>
                                        <defs>
                                        <clippath id="clip0_881_10193">
                                            <rect width="14" height="14" fill="white"></rect>
                                        </clippath>
                                        </defs>
                                    </svg>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- cars-section-three -->

        <!-- End shop section two -->
    </section>
    <!-- End inventory-section -->
    
    <!-- main footer -->

    <!-- End boxcar-footer -->

    
</div><!-- End Page Wrapper -->

<!-- Scroll To Top -->
<div class="scroll-to-top scroll-to-target" data-target="html"><span class="fa fa-angle-up"></span></div>

<script src="js/jquery.js"></script> 
<script src="js/popper.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/slick.min.js"></script>
<script src="js/slick-animation.min.js"></script>
<script src="js/jquery.fancybox.js"></script>
<script src="js/wow.js"></script>
<script src="js/appear.js"></script>
<script src="js/mixitup.js"></script>
<script src="js/knob.js"></script>
<script src="js/mmenu.js"></script>
<script src="js/main.js"></script>

</body>
</html>