<!DOCTYPE html>
<html lang="en">
<?php
$pageTitle = "EVRO AVTO - Uvoz Vozila Po Naročilu";
$pageDescription = "Obrazec za uvoz vozila po naročilu.";
$pageCanonical = 'http://www.evroavto.si';
$pageKeywords = 'uvoz, vozila, tujina, naročilo vozila';
$pageAuthor = "IMPROVISO, Denis Zupanc s.p.";
?>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type">
    <meta name="Description" content="<?php echo $pageDescription ?>"></meta>
    <meta name="keywords" content="<?php echo $pageKeywords ?>"></meta>
    <meta name="author" content="<?php echo $pageAuthor ?>"></meta>
    <meta property="og:image" content="https://sampel.si/assets/img/fb-logo.jpg" />
    <meta property="og:image:width" content="1200" />
    <meta property="og:image:height" content="630" />
    <meta property="og:url" content="https://www.sampel.si" />
    <meta property="og:type" content="website" />
    <title><?php echo $pageTitle?></title>
    <link rel="stylesheet" href="https://unpkg.com/swiper/swiper-bundle.min.css">
    <meta property="og:image" content="https://sampel.si/assets/img/fb-logo.jpg" />
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/responsive.css">
    <link rel="stylesheet" href="assets/css/swiper.css">
    <link rel="stylesheet" href="https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Outfit:wght@400;500;700&family=Manrope:wght@400;500;700&display=swap">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="assets/css/new/podrobnosti.css" rel="stylesheet" type="text/css">
    <link href="assets/css/new/custom.css" rel="stylesheet" type="text/css">
    <link href="assets/css/new/coloring.css" rel="stylesheet" type="text/css">
    <link href="assets/css/izracun-dmv.css" rel="stylesheet" type="text/css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.css" />
    <!-- color scheme -->
    <link id="colors" href="assets/css/new/colors/scheme-01.css" rel="stylesheet" type="text/css">

    <link href="css/mmenu.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">
</head>
<body id="bg">
<div class="page-wraper">
    <div id="loading-area"></div>
    <?php
    $activeTab = "izracun";
    include 'header-1.php';
    ?>

    <div class="page-content">
        <!-- inner page banner -->
        <div class="car-background" style="background-image:url(assets/img/ozadje-ostalo.webp);">
            <div class="car-info-container">
                <div class="car-info">
                    <h2>POIŠČEMO VAM VOZILO</h2>
                </div>
            </div>
        </div>
        <!-- inner page banner END -->
        <!-- Breadcrumb row -->
        <!-- Breadcrumb row END -->
        <!-- contact area -->
        <div class="section-full content-inner bg-white">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">


                            <p>Izpolnite svoje podatke, da vam lahko pomagamo najti vaš sanjski avto. Naša ekipa se bo hitro odzvala in začela iskati vozilo, ki ustreza vašim željam.</p>





                                    <!-- Korak 1: Osnovni podatki -->



                                        <!-- Step 1 -->
                                        <div id="step1" class="form-step">
                                            <div class="title-element">Vaši osebni podatki</div>
                                            <form id="formStep1">
                                                <fieldset class="input-box">
                                                    <label for="firstName">Ime</label>
                                                    <input type="text" id="firstName" placeholder="Janez">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="lastName">Priimek</label>
                                                    <input type="text" id="lastName" placeholder="Novak">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="phone">Vaš GSM</label>
                                                    <input type="text" id="phone" placeholder="0XX XXX XXX">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="email">Vaš E-MAIL</label>
                                                    <input type="email" id="email" placeholder="janez.novak@gmail.com">
                                                </fieldset>


                                                <ul class="box-check-el">
                                                    <li class="field-radio-item">
                                                        <input class="tf-check" type="radio" id="privacyCheck">
                                                        <label for="privacyCheck" class="check-val-item">Strinjam se z obdelavo osebnih podatkov</label>
                                                    </li>


                                                </ul>



                                                <button type="button" id="nextStep" class="btn btn-danger">VPIS PODATKOV VOZILA</button>

                                        </div>

                                        <div id="step2" class="form-step" style="display:none;">
                                            <div class="title-element">Podatki vašega bodočega vozila</div>
                                            <form id="formStep2" action="helperji/send_email.php" method="POST">
                                                <fieldset class="input-box">
                                                    <label for="carBrand">Znamka vozila</label>
                                                    <input type="text" id="carBrand" name="desiredCar" placeholder="Audi">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="carModel">Model</label>
                                                    <input type="text" id="carModel" name="carModel" placeholder="A3">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="budget">Koliko želite odšteti za vozilo?</label>
                                                    <input type="text" id="budget" name="budget" placeholder="20.000 EUR">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="mileage">Do koliko prevoženih kilometrov?</label>
                                                    <input type="text" id="mileage" name="mileage" placeholder="20.000">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="enginePower">Motor in moč</label>
                                                    <input type="text" id="enginePower" name="enginePower" placeholder="100KM">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="transmission">Menjalnik</label>
                                                    <input type="text" id="transmission" name="transmission" placeholder="Avtomatski">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="carYear">Od katerega letnika naprej?</label>
                                                    <input type="text" id="carYear" name="carYear" placeholder="2010">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="requiredEquip">Nujna oprema</label>
                                                    <input type="text" id="requiredEquipment" name="requiredEquipment" placeholder="KLIMA, 360 kamera...">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="desiredEquipment">Zaželjena oprema</label>
                                                    <input type="text" id="desiredEquipment" name="desiredEquipment" placeholder="Ni posebnih želja">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="color">Katere barve so vam všeč?</label>
                                                    <input type="text" id="colors" name="colors" placeholder="Rdeča">
                                                </fieldset>

                                                <fieldset class="input-box">
                                                    <label for="payment">Plačilo: enkratno ali leasing?</label>
                                                    <input type="text" id="payment" name="payment" placeholder="Enkratno">
                                                </fieldset>

                                                <input type="hidden" id="firstName_hidden" name="firstName">
                                                <input type="hidden" id="lastName_hidden" name="lastName">
                                                <input type="hidden" id="phone_hidden" name="phone">
                                                <input type="hidden" id="email_hidden" name="email">
                                                <input type="hidden" id="budget_hidden" name="budget">

                                                <button type="submit" class="btn btn-danger">ŽELIM PONUDBO</button>
                                            </form>
                                        </div>


                            </form>





                </div>
            </div>
        </div>
    </div>

    <!-- footer area start -->

    <!-- footer area end -->
</div>

<!-- Javascript Files -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="assets/js/uvoz-vozila.js?v=1.1"></script><!-- CUSTOM JS -->
<script src="assets/js/plugins.js"></script>
<script src="assets/js/designesia.js"></script>
<!-- Swiper JS -->
<script src="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js"></script>
<script src="assets/js/podrobnosti.js"></script>
<!-- Initialize Swiper -->
<script>
    var swiper = new Swiper(".mySwiper", {
        spaceBetween: 10,
        slidesPerView: 4,
        freeMode: true,
        watchSlidesProgress: true,
    });
    var swiper2 = new Swiper(".mySwiper2", {
        spaceBetween: 10,
        navigation: {
            nextEl: ".swiper-button-next",
            prevEl: ".swiper-button-prev",
        },
        thumbs: {
            swiper: swiper,
        },
    });
</script>
</body>
</html>
