<!-- BANNER SECTION -->
<section class="boxcar-banner-section-nine">
    <div class="container">
        <div class="banner-content">

            <div class="content-box">
                <h2 class="wow fadeInUp" data-wow-delay="100ms">Za tvoje življenje na cesti.</h2>
            </div>

            <div class="form-tabs">
                <ul class="form-tabs-list wow fadeInUp" data-wow-delay="200ms">
                </ul>

                <div class="form-tab-content wow fadeInUp" data-wow-delay="300ms">
                    <div class="form-tab-pane current" id="tab-1">
                        <form>
                            <div class="layout-search">
                                <div class="search-box">
                                    <svg class="icon" width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M7.29301 1.2876C3.9872 1.2876 1.29431 3.98048 1.29431 7.28631C1.29431 10.5921 3.9872 13.2902 7.29301 13.2902C8.70502 13.2902 10.0036 12.7954 11.03 11.9738L13.5287 14.4712C13.6548 14.5921 13.8232 14.6588 13.9979 14.657C14.1725 14.6552 14.3395 14.5851 14.4631 14.4617C14.5867 14.3382 14.6571 14.1713 14.6591 13.9967C14.6611 13.822 14.5947 13.6535 14.474 13.5272L11.9753 11.0285C12.7976 10.0006 13.293 8.69995 13.293 7.28631C13.293 3.98048 10.5988 1.2876 7.29301 1.2876ZM7.29301 2.62095C9.87824 2.62095 11.9584 4.70108 11.9584 7.28631C11.9584 9.87153 9.87824 11.9569 7.29301 11.9569C4.70778 11.9569 2.62764 9.87153 2.62764 7.28631C2.62764 4.70108 4.70778 2.62095 7.29301 2.62095Z" fill="white"/>
                                    </svg>
                                    <input type="search" placeholder="Vpišite vozilo, ki ga iščete npr. Audi Q7" class="show-search" name="name" id="carSearchInput" aria-required="true" required="">
                                </div>
                                <div class="box-content-search" id="box-content-search">
                                    <ul class="box-car-search" id="searchResults">
                                        <!-- Tukaj se bodo dinamično prikazovali rezultati iskanja -->
                                    </ul>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        const searchInput = document.getElementById('carSearchInput');
        const searchResults = document.getElementById('searchResults');

        let allCars = [];

        fetch('helperji/66cd8e3f99166a1c0b00542e.json')
            .then(response => {
                if (!response.ok) throw new Error('Network response ni OK');
                return response.json();
            })
            .then(data => {
                allCars = Object.entries(data).map(([id, car]) => ({ id, ...car }));
            })
            .catch(error => {
                console.error("Napaka pri nalaganju JSON-a:", error);
            });

        searchInput.addEventListener('input', function() {
            const query = this.value.toLowerCase();
            searchResults.innerHTML = '';

            if (query.length < 2) return;

            const filteredCars = allCars.filter(car => {
                const fullName = (car.osnovniPodatki.znamka + ' ' + car.osnovniPodatki.model).toLowerCase();
                return fullName.includes(query);
            });

            filteredCars.forEach(car => {
                const cena = car.osnovniPodatki.cena ? car.osnovniPodatki.cena + '€' : 'Pokličite za ceno';

                const li = document.createElement('li');
                li.innerHTML = `
                <a href="podrobnosti.php?vozilo=${car.id}" class="car-search-item">

                    <!--
                    <div class="box-img">
                        <img src="${car.slike[0]}" alt="${car.osnovniPodatki.znamka} ${car.osnovniPodatki.model}">
                    </div>
-->
                    <div class="info">
                        <p class="name">${car.osnovniPodatki.znamka}, ${car.osnovniPodatki.model} | ${car.ostaliPodatki['Leto proizvodnje']} | ${car.ostaliPodatki['Vrsta goriva']} | ${car.ostaliPodatki['Menjalnik']}</p>
                        <span class="price">${cena}</span>
                    </div>
                </a>`;
                searchResults.appendChild(li);
            });
        });
    });
</script>
