<section class="cars-section-four v1 bg-1">
    <div class="boxcar-container">

        <!-- Naslov sekcije -->
        <div class="boxcar-title-three wow fadeInUp">
            <h2>RABLJENA VOZILA</h2>
        </div>

        <!-- Sortiranje / info vrstica (lahko obdržite original) -->


        <!-- Grid, kamor bomo dodajali vozila iz JavaScript-a -->
        <div id="carsGrid" class="row wow fadeInUp">
            <!-- Sem se dinamično vstavi vse car-block-four elemente -->
        </div>

        <!-- Gumb “Load More” -->
        <div class="pagination-sec" style="margin-top: 30px;">
            <button type="button" id="loadMoreBtn" class="page-link" style="display: inline-block;">
                PRIKAŽI VEČ
            </button>
        </div>

    </div><!-- /boxcar-container -->
</section>
<!-- End shop section two -->

<!-- JS: naložimo chunk => prikažemo 12 => Load More, dokler ni konec -->
<script>
    document.addEventListener('DOMContentLoaded', function() {
        const AJAX_URL   = 'helperji/ajax_load_cars.php';  // Pot do PHP, ki vrača JSON chunk
        const LIMIT_DB   = 24;  // Koliko jih naenkrat preberemo iz baze/JSON (server side)
        const SHOW_STEP  = 12;  // Koliko jih prikažemo ob vsakem "Load More" kliku

        let offset       = 0;   // Koliko smo že naložili s strežnika
        let carsBuffer   = [];  // Trenutni chunk (npr. 24) oglasov
        let indexInChunk = 0;   // Kazalec znotraj carsBuffer

        const carsGrid   = document.getElementById('carsGrid');
        const loadMoreBtn= document.getElementById('loadMoreBtn');

        // Ob prvem nalaganju -> potegnemo chunk 24, prikažemo 12
        loadNextChunk();

        loadMoreBtn.addEventListener('click', function() {
            const remaining = carsBuffer.length - indexInChunk;
            if (remaining > 0) {
                // V chunku še imamo...
                showMoreFromBuffer();
            } else {
                // V chunku nič več => gremo po naslednji chunk
                loadNextChunk();
            }
        });

        function loadNextChunk() {
            const url = AJAX_URL + '?offset=' + offset + '&limit=' + LIMIT_DB;
            fetch(url)
                .then(resp => resp.json())
                .then(data => {
                    if (data.status === 'OK' && data.count > 0) {
                        // Prejeli smo nov chunk
                        carsBuffer   = data.results; // polje oglasov
                        indexInChunk = 0;

                        offset += data.count; // Pripravi za naslednji offset
                        // Takoj prikažemo prvih 12 iz chunk-a
                        showMoreFromBuffer();
                    } else {
                        // Ni več oglasov => skrij gumb
                        loadMoreBtn.style.display = 'none';
                    }
                })
                .catch(err => {
                    console.error('Napaka pri AJAX: ', err);
                    loadMoreBtn.style.display = 'none';
                });
        }

        function showMoreFromBuffer() {
            const remaining = carsBuffer.length - indexInChunk;
            const takeCount = Math.min(SHOW_STEP, remaining);

            const subset = carsBuffer.slice(indexInChunk, indexInChunk + takeCount);

            subset.forEach(vozilo => {
                const id = vozilo.id;
                const znamka = vozilo.osnovniPodatki.znamka || '';
                const model = vozilo.osnovniPodatki.model || '';
                const cena = vozilo.osnovniPodatki.cena || 'Pokličite za ceno';
                const letnik = vozilo.ostaliPodatki['Leto proizvodnje'] || 'Ni podatka';
                const gorivo = vozilo.ostaliPodatki['Vrsta goriva'] ? vozilo.ostaliPodatki['Vrsta goriva'].replace(/ motor| pogon/g, '') : 'Ni podatka';
                const menjalnik = vozilo.ostaliPodatki['Menjalnik'] ? vozilo.ostaliPodatki['Menjalnik'].replace(' menjalnik', '') : 'Ni podatka';


                const el = document.createElement('div');
                el.className = 'car-block-four col-xl-3 col-lg-4 col-md-6 col-sm-6';

                // Pridobi podpisan URL slike preko AJAX-a
                fetch(`helperji/getSlika.php?id=${encodeURIComponent(id)}`)
                    .then(resp => resp.json())
                    .then(data => {
                        const imgSrc = data.slika // URL, ki ga vrne API
                            ? data.slika
                            : 'images/resource/vzorcna-slika.webp'; // Placeholder, če ni slike

                        el.innerHTML = `
                <div class="inner-box">
                    <div class="image-box">
                        <figure class="image">
                            <a href="podrobnosti.php?vozilo=${encodeURIComponent(id)}">
                                <img src="${imgSrc}" alt="Vozilo ${escapeHtml(id)}" />
                            </a>
                        </figure>


                    </div>
                    <div class="content-box">
                        <h6 class="title">
                            <a href="podrobnosti.php?vozilo=${encodeURIComponent(id)}">
                                ${escapeHtml(znamka)}, ${escapeHtml(model)}
                            </a>
                        </h6>
                        <div class="text"></div>

                        <ul class="car-meta">
                            <li><i class="flaticon-calendar"></i> ${escapeHtml(letnik)}</li>
                            <li><i class="flaticon-speedometer"></i> ${escapeHtml(gorivo)}</li>
                            <li><i class="flaticon-gearbox"></i> ${escapeHtml(menjalnik)}</li>
                        </ul>

                        <div class="btn-box mt-3">
                            <a href="podrobnosti.php?vozilo=${encodeURIComponent(id)}" class="details">
                                Več o vozilu
                                <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14" fill="none">
                                    <g clip-path="url(#clip0_601_4346)">
                                        <path d="..." fill="#405FF2"/>
                                    </g>
                                </svg>
                            </a>
                        </div>

                        <div class="btn-box" style="margin-top:10px;">
                            <span>${escapeHtml(cena)} €</span>

                            <a href="#" class="details">

                                <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14" fill="none">
                                    <g clip-path="url(#clip0_601_4346)">
                                        <path d="..." fill="#405FF2"/>
                                    </g>
                                </svg>
                            </a>
                        </div>
                    </div>
                </div>
                `;
                        carsGrid.appendChild(el);
                    })
                    .catch(err => {
                        console.error('Napaka pri nalaganju slike:', err);
                    });
            });

            indexInChunk += takeCount;
        }


        function escapeHtml(str) {
            if (typeof str !== 'string') return str;
            return str
                .replace(/&/g, '&amp;')
                .replace(/</g, '&lt;')
                .replace(/>/g, '&gt;')
                .replace(/"/g, '&quot;');
        }
    });
</script>