<?php
// Vključimo helper razred za delo z oglasi
include_once __DIR__ . "/../helperji/helper_oglasi.php";
$filePath = __DIR__ . '/../helperji/661c3e91c9b37a04a8dce291.json';
$helper = new HelperOglasi($filePath);

// Pridobimo recimo 3 ali 4 vozila iz JSON. Na primer 3 za prikaz v pasici.
$steviloVozil = 3;
$vozila = $helper->getVsaVozila($steviloVozil,false);
?>
<!-- ######################################################################
     Primer "PASICA" / "NAKUP-PRODAJA" z dizajnom, ki je bil v originalni
     pasica-nakup-prodaja.php
     ###################################################################### -->

<section class="boxcar-section">
    <div class="boxcar-container">
        <div class="row">
            <!-- Leva pasica (npr. Nakup vozila) -->
            <div class="col-lg-6 col-md-6 col-sm-12">
                <div class="inner-box style-1 wow fadeInUp">
                    <div class="content-box">
                        <h4>Nakup vozila</h4>
                        <p>
                            Odkupujemo, prodajamo, menjavamo in urejamo financiranja – tudi za vozila, ki jih lahko poiščete sami.
                            Za vas lahko hitro najdemo vozilo po vaših kriterijih, ki je preverjeno kakovostno.
                        </p>
                        <a class="btn btn-sm btn-primary" href="kontakti.php">Izvedi več</a>
                    </div>
                    <div class="image-box">
                        <figure class="image">
                            <img src="images/resource/slika-nakup.jpg" alt="Nakup vozila">
                        </figure>
                    </div>
                </div>
            </div>
            <!-- Desna pasica (npr. Prodaja vozila) -->
            <div class="col-lg-6 col-md-6 col-sm-12">
                <div class="inner-box style-2 wow fadeInUp" data-wow-delay="100ms">
                    <div class="content-box">
                        <h4>Prodaja vozila</h4>
                        <p>
                            Želite prodati svoje vozilo? Ponudimo vam odkup ali komisijsko prodajo z našimi izkušnjami,
                            kjer vam omogočimo enostaven in transparenten postopek.
                        </p>
                        <a class="btn btn-sm btn-primary" href="kontakti.php">Kontaktirajte nas</a>
                    </div>
                    <div class="image-box">
                        <figure class="image">
                            <img src="images/resource/slika-prodaja.jpg" alt="Prodaja vozila">
                        </figure>
                    </div>
                </div>
            </div>
        </div>

        <!-- Primer dodatne pasice s prikazom nekaj vozil, pridobljenih iz JSON -->
        <div class="row mt-5">
            <div class="col-12">
                <h3 class="wow fadeInUp">Naša aktualna ponudba (izbor)</h3>
            </div>

            <?php if (!empty($vozila)): ?>
                <?php foreach ($vozila as $id => $vozilo): ?>
                    <!-- Card / box prikaza enega vozila -->
                    <div class="col-md-4">
                        <div class="car-block-nakup-prodaja wow fadeInUp" data-wow-delay="200ms">
                            <div class="image-box">
                                <figure class="image">
                                    <?php
                                    // Pridobimo naslovno sliko preko helper metode (ali placeholders).
                                    // Lahko poskusimo s getNaslovnaSlika():
                                    $naslovnaSlika = $helper->getNaslovnaSlika($id);
                                    if ($naslovnaSlika) {
                                        echo '<img src="'.htmlspecialchars($naslovnaSlika).'" alt="Vozilo '.htmlspecialchars($id).'" class="img-fluid" />';
                                    } else {
                                        // Če ni slike, placeholder
                                        echo '<img src="images/resource/placeholder.jpg" alt="Ni slike" class="img-fluid" />';
                                    }
                                    ?>
                                </figure>
                            </div>
                            <div class="content-box">
                                <h5 class="title">
                                    <?php
                                    // Ime vozila: znamka + model
                                    $imeVozila = $vozilo['osnovniPodatki']['znamka'] . ' ' . $vozilo['osnovniPodatki']['model'];
                                    echo htmlspecialchars($imeVozila);
                                    ?>
                                </h5>
                                <!-- Cena -->
                                <?php if (!empty($vozilo['osnovniPodatki']['cena'])): ?>
                                    <div class="car-price">
                                        <span><?php echo htmlspecialchars($vozilo['osnovniPodatki']['cena']); ?> €</span>
                                    </div>
                                <?php else: ?>
                                    <div class="car-price">
                                        <span>Pokličite za ceno</span>
                                    </div>
                                <?php endif; ?>

                                <!-- Leto / gorivo / menjalnik primer -->
                                <ul class="car-meta">
                                    <li>
                                        <strong>Letnik:</strong>
                                        <?php
                                        echo isset($vozilo['ostaliPodatki']['Leto proizvodnje'])
                                            ? htmlspecialchars($vozilo['ostaliPodatki']['Leto proizvodnje'])
                                            : 'Ni podatka';
                                        ?>
                                    </li>
                                    <li>
                                        <strong>Gorivo:</strong>
                                        <?php
                                        echo isset($vozilo['ostaliPodatki']['Vrsta goriva'])
                                            ? htmlspecialchars($vozilo['ostaliPodatki']['Vrsta goriva'])
                                            : 'Ni podatka';
                                        ?>
                                    </li>
                                    <li>
                                        <strong>Menjalnik:</strong>
                                        <?php
                                        echo isset($vozilo['ostaliPodatki']['Menjalnik'])
                                            ? htmlspecialchars($vozilo['ostaliPodatki']['Menjalnik'])
                                            : 'Ni podatka';
                                        ?>
                                    </li>
                                </ul>

                                <div class="btn-box mt-3">
                                    <a href="podrobnosti.php?vozilo=<?php echo urlencode($id); ?>" class="details">
                                        Podrobnosti
                                        <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14" fill="none">
                                            <g clip-path="url(#clip0_601_4346)">
                                                <path d="M13.6109 0H5.05533C4.84037 0 4.66643 0.173943 4.66643 0.388901C4.66643 0.603859 4.84037 0.777802 5.05533 0.777802H12.6721L0.113697 13.3362C-0.0382246 13.4881 -0.0382246 13.7342 0.113697 13.8861C0.18964 13.962 0.289171 14 0.388666 14C0.488161 14 0.587656 13.962 0.663635 13.8861L13.222 1.3277V8.94447C13.222 9.15943 13.3959 9.33337 13.6109 9.33337C13.8259 9.33337 13.9998 9.15943 13.9998 8.94447V0.388901C13.9998 0.173943 13.8258 0 13.6109 0Z" fill="#405FF2"/>
                                            </g>
                                            <defs>
                                                <clipPath id="clip0_601_4346">
                                                    <rect width="14" height="14" fill="white"/>
                                                </clipPath>
                                            </defs>
                                        </svg>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            <?php else: ?>
                <div class="col-12">
                    <p>Trenutno ni razpoložljivih vozil.</p>
                </div>
            <?php endif; ?>
        </div>
        <!-- Konec custom prikaza nekaj vozil -->

    </div>
</section>
